Bug 246507 - games/netrek-client-cow: Update to 3.3.2
Summary: games/netrek-client-cow: Update to 3.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-05-16 16:40 UTC by Kevin Zheng
Modified: 2020-06-07 06:04 UTC (History)
2 users (show)

See Also:
kevinz5000: maintainer-feedback+


Attachments
Patch (3.21 KB, patch)
2020-05-16 16:40 UTC, Kevin Zheng
no flags Details | Diff
Patch (3.46 KB, patch)
2020-06-05 17:50 UTC, Kevin Zheng
kevinz5000: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2020-05-16 16:40:16 UTC
Created attachment 214556 [details]
Patch

games/netrek-client-cow: Update to 3.3.2
Comment 1 Hiroki Tagato freebsd_committer 2020-06-05 09:42:26 UTC
Hi,

I tried to build the port with poudriere and got the following warning during stage-qa:


====> Running Q/A tests (stage-qa)
Warning: 'bin/netrek-client-cow' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
Error: /usr/local/bin/netrek-client-cow is linked to /usr/local/lib/libX11.so.6 from x11/libX11 but it is not declared as a dependency
Warning: you need USE_XORG+=x11
Error: /usr/local/bin/netrek-client-cow is linked to /usr/local/lib/libXxf86vm.so.1 from x11/libXxf86vm but it is not declared as a dependency
Warning: you need USE_XORG+=xxf86vm


Can you update the patch to address those messages?
Comment 2 Kevin Zheng 2020-06-05 17:50:07 UTC
Created attachment 215269 [details]
Patch

Thanks for checking; I was missing all the explicit X11 dependencies. I've added these and manually stripped the binary (the port uses a custom Makefile).
Comment 3 commit-hook freebsd_committer 2020-06-07 06:03:07 UTC
A commit references this bug:

Author: tagattie
Date: Sun Jun  7 06:02:07 UTC 2020
New revision: 538143
URL: https://svnweb.freebsd.org/changeset/ports/538143

Log:
  - Update to 3.3.2
  - Make portclippy/portfmt happy

  PR:		246507
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com> (maintainer)
  Approved by:	mentors (implicit)
  Changelog:	https://github.com/quozl/netrek-client-cow/blob/3.3.2/ChangeLog

Changes:
  head/games/netrek-client-cow/Makefile
  head/games/netrek-client-cow/distinfo
  head/games/netrek-client-cow/files/patch-parsemeta.c
  head/games/netrek-client-cow/files/patch-system.mk.in
Comment 4 Hiroki Tagato freebsd_committer 2020-06-07 06:04:15 UTC
Committed, thanks!